# Scrunch Edit news

## Version 2.6 (6 October 2023)

### Added

* Prefix lines command (backported from ToyEd)

### Changed

* File dialogs now use Zenity under X11 if available.

## Version 2.5.1 (5 January 2023)

### Fixed

* The file name is now reset when starting a new one.
* Broken Section->Delete command

## Version 2.5 (25 December 2022)

Ported from Python.

### Added

* Application icon
* Full screen toggle
* Ability to name new files on the command line
* Optional console support where available
* Keyboard shortcut to show statistics
* Explicit Open Line command

### Changed

* File dialogs now set a suitable initial directory.
* Improved handling of empty sections at save time.

### Fixed

* Font size key combos were reversed.
* Pressing Insert in the tree prompted twice.
* Several keyboard shortcuts were missing or broken.

## Version 2.1 (2 November 2022)

Backported some improvements from AntiWiki 1.3

### Added

* Format -> Join Lines command

### Fixed

* Pasting over a selection now replaces it.
* Ctrl-A now actually does Select All.

## Version 2.0.2 (27 June 2022)

### Fixed

* Blank lines accumulating at end of sections

### Removed

* "Trim blank lines" formatting option

## Version 2.0.1 (26 June 2022)

### Fixed

* Modified flag on starting new file

### Removed

* Unused imports
* Unused metadata code

## Version 2.0 beta (27 November 2021)

### Added

* File statistics dialog
* Format menu with a few basic options

### Removed

* Metadata handling; it's now left as-is in the preface

## Version 1.1.1b (27 November 2021)

### Added

* Ctrl-R shortcut for the Reload menu option

### Fixed

* The preface is now saved to Markdown / Gemini files.

### Removed

* (internal) Unused add_dialog function

## Version 1.1.1 (27 October 2021)

### Added

* Search dialog is now prefilled from the selection, if any.

### Changed

* Find Again now prompts for a new search if none is active.

## Version 1.1 (23 October 2021)

### Added

* Searches now look in the preface as well.
* The first search result in each section is now highlighted.

## Version 1.0 beta (19 October 2021)

### Added

* Search functions.
* Help menu option to visit the website.

### Fixed

* The "new file" command now also clears the title bar.

## Version 2021-10-18 alpha

* Initial public release
